Get file download link by key

Returns a link that can be used for downloading a file

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Returns: a json object with meta data for the file, including the download link

:param int case_Id: id of the case where the file is present
:param string key: key (name) of the file you want a download link for

API call function:

def get_file_download_link_by_key(self, case_Id, key) -> Dict:

    url = self.fileserver_url + "/cases/" + str(case_Id) + "/files/" + str(key)

    response = requests.get(url, headers=self.get_header)

    if(response.ok): 
        print("file download link retrieved: \n", response.text, "\n")
        return response.json()
    else: 
        logger.error(f"file download link retrieval failed: {response.content}")
        raise Exception
Path Params
int64
required
string
required
Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Response

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
text/plain
application/json
text/json